var main_webos = {
    orientation : "H"
}

var player = null;
var transfer = false;
var manager = false;
var timerService = null;

$(document).ready(function(){

    /* ENABLE DEBUG
    var configuration = new Configuration();

    var options = {};
    options.enabled = true; //enabling debug mode

    configuration.debug(function successCb() {
        console.log("Succeeded to enable the debug mode");
    },function failureCb() {
        console.log("Failed to enable the debug mode");
    },options);
    */
    player = new PlayerController();
    $(player).on("PlayerDataLoaded",onPlayerDataLoaded);
    player.init();
});


function onPlayerDataLoaded(){
    //$("#starter").html("Estamos en el main 2");
    $("#starter").hide();
    setTimeout(function(){
        if(!transfer){
            transfer = new TransferService();
            transfer.setTimeCallback = player.setUseServerTime;
            transfer.init(player.version);
        }
        transfer.activateLogger(player.debug);
        transfer.update(player.timestamp,player.dataManager.getArchiveFiles());
        if(!manager){
            manager = new ManagerService();
            manager.init();
        }
        var scheduleConfig =player.config.getScheduleConfig();
        manager.update(scheduleConfig);
        manager.activateLogger(player.debug);
        setTimeout(function(){transfer.OS.insertTimersOrReboot(player.config.getForceReboot24h());}, 10000);
        transfer.OS.clearCache();
        setInterval(function(){transfer.OS.clearCache();}, 7200000);
        transfer.OS.setPictureProperty();
        setInterval(function(){transfer.OS.setPictureProperty();}, 7200000);
        if(!timerService){
            timerService = new TimerService();
        }
        timerService.checkTimers(scheduleConfig);
        //transfer.OS.HDMIscreen();
    }, 5000);
}





$(document).on("keydown",function(event){
    var keyCode = event.keyCode;
    player.log("WebOS Keydown : "+keyCode);

    switch (keyCode) {
        case 37:
            player.playlist.jump(-1);
            break;
        case 39:
            player.playlist.jump();
            break;
        case 38:
            player.debug = !player.debug;
            player.setLogger($("#playerLog"));
            manager.setLogger($("#transferLog"));
            transfer.setLogger($("#transferLog"));
            player.activateLogger(player.debug);
            transfer.activateLogger(player.debug);
            break;
        case 13:
            player.update();
            break;
        case 406:
            transfer.OS.upgradeApplicationNow();
            break;    
        default:
            player.log("TV : Unhandled key");
            break;
    }
});
