var main_webos = {
    orientation : "H"
}

var player = null;
var transfer = false;
var manager = false;
var timerService = null;

$(document).ready(function(){
    /* ENABLE DEBUG
    var configuration = new Configuration();

    var options = {};
    options.enabled = true; //enabling debug mode

    configuration.debug(function successCb() {
        console.log("Succeeded to enable the debug mode");
    },function failureCb() {
        console.log("Failed to enable the debug mode");
    },options);
    */
    
    
    if(document.location != "file:///media/internal/webos.html"){
      $.get('/media/internal/webos.html', function(data, status) {
          $("#starter").html("File request status: "+status);
      }).done(function() {
          $("#starter").html("System is updatable.");
         document.location ="/media/internal/webos.html";
      }).fail(function(e) {
          var systemInfo = navigator.userAgent || navigator.vendor || window.opera;
          systemInfo = systemInfo.toLowerCase();
          var html_base = '/media/cryptofs/apps/usr/palm/services/com.lg.app.signage.webos/app/webos2.html';
          if(systemInfo.match(/chrome/i)){
            // WEBOS 3 
            html_base = '/media/cryptofs/apps/usr/palm/services/com.lg.app.signage.webos/app/webos3.html';
          }
          $.get(html_base, function(data, status) {
              $("#starter").html("File request status: "+status);
          }).done(function() {
              $("#starter").html("System is updatable.");
             document.location =html_base;
          }).fail(function(e) {
            $("#starter").html("has no external installation");
            if(!player){
                player = new PlayerController();
                $(player).on("PlayerDataLoaded",onPlayerDataLoaded);
                player.init();
            }
          });
      });
    }else{
      if(!player){
          player = new PlayerController();
          $(player).on("PlayerDataLoaded",onPlayerDataLoaded);
          player.init();
      }
    }
});
function onPlayerDataLoaded(){
  setTimeout(function(){
      if(!transfer){
          transfer = new TransferService();
          transfer.setTimeCallback = player.setUseServerTime;
          transfer.init(player.version);
      }
      transfer.activateLogger(player.debug);
      transfer.update(player.timestamp,player.dataManager.getArchiveFiles());
      if(!manager){
          manager = new ManagerService();
          manager.init();
      }
      var scheduleConfig =player.config.getScheduleConfig();
      manager.update(scheduleConfig);
      manager.activateLogger(player.debug);
      setTimeout(function(){transfer.OS.insertTimersOrReboot(player.config.getForceReboot24h());}, 10000);
      transfer.OS.clearCache();
      setInterval(function(){transfer.OS.clearCache();}, 7200000);
      transfer.OS.setPictureProperty();
      setInterval(function(){transfer.OS.setPictureProperty();}, 7200000);
      if(!timerService){
          timerService = new TimerService();
      }
      timerService.checkTimers(scheduleConfig);
  }, 5000);
}

$(document).on("keydown",function(event){
    var keyCode = event.keyCode;
    player.log("WebOS Keydown : "+keyCode);
    switch (keyCode) {
        case 37:
            player.playlist.jump(-1);
            break;
        case 39:
            player.playlist.jump();
            break;
        case 38:
            player.debug = !player.debug;
            player.setLogger($("#playerLog"));
            manager.setLogger($("#transferLog"));
            transfer.setLogger($("#transferLog"));
            player.activateLogger(player.debug);
            transfer.activateLogger(player.debug);
            break;
        case 13:
            player.update();
            break;
        case 406:
            transfer.OS.upgradeApplicationNow();
            break;    
        default:
            player.log("TV : Unhandled key");
            break;
    }
});
